<div class="row">
    <div class="container">
        <!-- la linea de arriba no permite que se cargue bien el mapa -->
        <div class="cont">
            <p class="h3">Créez un annonce de l'objet que vous avez trouvé! 🗺</p>
        </div>
        <div class="col-md-10 mx-auto">
            <!-- Change size card -->
            <div *ngIf="errors.length > 0" class="notif">
                <div *ngFor="let error of errors" class="alert alert-danger alert-dismissible fade show" role="alert">
                    <strong> {{error.text}}</strong>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
            <div class="card mt-3">

                <form [formGroup]="objectForm" (ngSubmit)="validationData()" enctype="multipart/form-data" novalidate>
                    <div class="card-header">
                        <h5>Ajouter un moyen de contact</h5>
                    </div>
                    <div class="card-body pb-0">
                        <div class="form-row">
                            <div class="form-group col-sm-4">
                                <label for="inputName">Nom ou prénom *</label>
                                <input type="text" class="form-control" id="inputName" formControlName="name"
                                    placeholder="Camille Dupont"
                                    [ngClass]="{ 'is-invalid': objectForm.controls['name'].invalid && (objectForm.controls['name'].dirty || objectForm.controls['name'].touched)}"
                                    autofocus>
                                <div class="form-control-feedback"
                                    *ngIf="objectForm.controls['name'].invalid && (objectForm.controls['name'].dirty || objectForm.controls['name'].touched)">
                                    <div style="color:red; font-size:small"
                                        *ngIf="objectForm.controls['name'].errors.pattern || objectForm.controls['name'].errors.required">
                                        Inserez un nom valide
                                    </div>
                                </div>
                            </div>
                            <div class="form-group col-sm-4">
                                <label for="inputEmail">Mail de contact *</label>
                                <div class="input-group mb-1">
                                    <input type="text" class="form-control" (keypress)="emailVal($event)"
                                        placeholder="example@lost-found.fr" id="inputEmail" formControlName="email"
                                        aria-label="Recipient's username" aria-describedby="basic-addon2"
                                        [ngClass]="{ 'is-invalid': objectForm.controls['email'].invalid && (objectForm.controls['email'].dirty || objectForm.controls['email'].touched)}">

                                </div>
                                <div class="form-control-feedback"
                                    *ngIf="objectForm.controls['email'].invalid && (objectForm.controls['email'].dirty || objectForm.controls['email'].touched)">
                                    <div style="color:red; font-size:small"
                                        *ngIf="objectForm.controls['email'].errors.pattern || objectForm.controls['email'].errors.required">
                                        Inserez un mail valide
                                    </div>
                                </div>
                            </div>
          
                            <div class="form-group col-sm-4">
                                <label for="inputEmail">Confirmez votre mail *</label>
                                <div class="input-group mb-1">
                                    <input type="text" class="form-control" (keypress)="emailVal($event)"
                                        placeholder="example@lost-found.fr" id="inputEmail"
                                        formControlName="confirmEmail" aria-label="Confirmez le mail"
                                        aria-describedby="basic-addon2" [pattern]="f.email.value"
                                        [ngClass]="{ 'is-invalid': objectForm.controls['confirmEmail'].invalid && (objectForm.controls['confirmEmail'].dirty || objectForm.controls['confirmEmail'].touched)}">
                                </div>
                                <div class="form-control-feedback"
                                    *ngIf="objectForm.controls['confirmEmail'].invalid && (objectForm.controls['confirmEmail'].dirty || objectForm.controls['confirmEmail'].touched)">
                                    <div style="color:red; font-size:small"
                                        *ngIf="objectForm.controls['confirmEmail'].errors.required">
                                        Confirmez le mail
                                    </div>
                                    <div style="color:red; font-size:small"
                                        *ngIf="objectForm.controls['confirmEmail'].errors.pattern">
                                        Les adresses mail ne correspondent pas.
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-header">
                        <h5> Décrivez l'objet que vous avez trouvé</h5>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <div class="row">
                                        <legend class="col-form-label col-md-4 pt-0">
                                            <label for="type">Type d'objet *</label>
                                        </legend>
                                        <div class="col-md-8">
                                            <div class="form-group">
                                                <select class="custom-select" id="type" formControlName="type"
                                                    [ngClass]="{ 'is-invalid':objectForm.controls['type'].invalid && (objectForm.controls['type'].dirty || objectForm.controls['type'].touched)}">
                                                    <option value="-1">Seléctionnez un type --></option>
                                                    <option *ngFor="let object of objectsMap; let indexOfelement=index"
                                                        [value]="indexOfelement+1">
                                                        {{ object }}
                                                    </option>
                                                </select>
                                                <div class="form-control-feedback"
                                                    *ngIf="objectForm.controls['type'].invalid && (objectForm.controls['type'].dirty || objectForm.controls['type'].touched)">
                                                    <div style="color:red; font-size:small"
                                                        *ngIf="objectForm.controls['type'].errors.required">
                                                        Type d'objet requis
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputDescription">Description *</label>
                                    <!--<input type="text" id="inputDescription" class="form-control" placeholder="couleur, marque, porte-clés, TCL ..." -->
                                    <textarea id="inputDescription" formControlName="description" class="form-control"
                                        [ngClass]="{ 'is-invalid':objectForm.controls['description'].invalid && (objectForm.controls['description'].dirty || objectForm.controls['description'].touched)}"
                                        rows="3" cols="10" maxlength="150"
                                        placeholder="couleur, marque, porte-clés, TCL ..." #description></textarea>
                                    <div class="form-control-feedback"
                                        *ngIf="objectForm.controls['description'].invalid && (objectForm.controls['description'].dirty || objectForm.controls['description'].touched)">
                                        <div style="color:red; font-size:small"
                                            *ngIf="objectForm.controls['description'].errors.required">
                                            Description requise
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input align-middle" id="addPhoto"
                                            name="addPhoto" (change)="getCheckBox(isChecked ? false : true)">
                                        <label class="custom-control-label" for="addPhoto">
                                            <h6>Ajouter une image de l'objet</h6>
                                        </label>
                                    </div>
                                </div>
                                <div class="form-group" [hidden]="!isChecked">
                                    <div class="form-group col-sm-12">
                                        <small id="passwordHelpBlock" class="form-text text-muted">
                                            <strong>Veuillez ne pas afficher de données du caractère privé (code
                                                secrets,
                                                adresses,
                                                numéro de série, etc.) Taille max. 5 Mo.</strong>
                                        </small>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="file" class="d-none" 
                                            accept=".jpg,.png,.jpeg" (change)="onPhotoSelected($event)" name="photo"
                                            [ngClass]="{ 'border-error': isChecked}"
                                            #photoInput >
                                        <img [src]="localCompressedURl || 'assets/img/add_photo.png'"
                                            class="img-fluid img-thumbnail" id="inputPhoto" alt=""
                                            (click)="photoInput.click()">
                                        <div class="form-control-feedback"
                                            *ngIf="!file && isChecked">
                                            <div style="color:red; font-size:small"
                                                *ngIf="!file && isChecked">
                                                Seléctionnez une image.
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <h6>Localisation *</h6><small>
                                        Indiquez bien l'endroit où vous vous avez trouvé l'objet.
                                    </small>
                                    <div class="mapPanel" id="mapPanel">
                                        <div style="height: 400px;" leaflet [leafletOptions]="options"
                                            (leafletClick)="clickMap($event)" (leafletMapReady)="onMapReady($event)"
                                            (leafletMouseOver)="refreshMap()"></div>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="form-group text-xs-center">
                            <re-captcha class="g-recaptcha" (resolved)="resolved($event)" [formControl]="objectForm.controls['recaptcha']"
                                [siteKey]="SITE_KEY"></re-captcha>
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-bleu btn-block">
                                Publier
                            </button>
                        </div>

                    </div>
                </form>
            </div>
        </div>
    </div>

    <!-- <div class="container" *ngIf="authService.getStatus() !='active'">
        <div class="col-12">
            <div class="jumbotron text-center">

                <h1 class="display-4">Nous sommes désolés 😢</h1>

                <p class="lead">Apparement votre compte a été bloqué. Pour l'instant vous ne pouvez pas publier des
                    objets.</p>
                <hr class="my-4">
                <p>Veuillez contacter le service pour la réactivation du compte.</p>
                <a class="btn btn-primary btn-lg" [href]="emailstring" target="_top"> Ecrire un mail</a>
            </div>
        </div>
    </div> -->

    <!-- Modal Confirmation -->
    <div #confirmationModal class="modal fade" id="confirmationModal" tabindex="-1" data-backdrop="static"
        data-keyboard="false" aria-labelledby="confirmationModal" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Bravo! 🎉</h5>
                </div>
                <div class="modal-body">
                    <p> L'objet est visible sur le site.
                        On vient de vous envoyer un mail à l'adresse que vous avez saisi (N'oubliez pas de regarder le spam). 😉</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal"
                        (click)="closeModal()">Super!</button>
                </div>
            </div>
        </div>
    </div>
</div>